mb_strrpos
mb_strtolower
Multibyte String Functions
PHP Manual

# mb_strstr

(PHP 5 >= 5.2.0)

mb_strstr — Finds first occurrence of a string within another

### Description

string mb_strstr ( string `$haystack` , string `$needle` [, bool `$before_needle` = false [, string `$encoding` = mb_internal_encoding() ]] )

mb_strstr() finds the first occurrence of `needle` in `haystack` and returns the portion of `haystack`. If `needle` is not found, it returns `FALSE`.

### Parameters

`haystack`

  The string from which to get the first occurrence of `needle`

`needle`

  The string to find in `haystack`

`before_needle`

  Determines which portion of `haystack` this function returns. If set to `TRUE`, it returns all of `haystack` from the beginning to the first occurrence of `needle` (excluding needle). If set to `FALSE`, it returns all of `haystack` from the first occurrence of `needle` to the end (including needle).

`encoding`

  Character encoding name to use. If it is omitted, internal character encoding is used.

### Return Values

Returns the portion of `haystack`, or `FALSE` if `needle` is not found.

### See Also

- stristr() - Case-insensitive strstr
- strstr() - Find the first occurrence of a string
- mb_stristr() - Finds first occurrence of a string within another, case insensitive

mb_strrpos
mb_strtolower
Multibyte String Functions
PHP Manual